# Environment variable:
# ref:	https://www.shell-tips.com/bash/environment-variables/#the-user-id-and-group-variables-uid-euid-and-groups
#       https://wiki.archlinux.org/title/XDG_Base_Directory
#				https://wiki.archlinux.org/title/Systemd/User#Environment_variables
#       https://wiki.archlinux.org/title/Environment_variables#Globally
#       https://in.waw.pl/~zbyszek/blog/environmentd.html

XDG_CONFIG_HOME=${XDG_CONFIG_HOME:-${HOME}/.config}
XDG_CACHE_HOME=${XDG_CACHE_HOME:-${HOME}/.cache}
XDG_DATA_HOME=${XDG_DATA_HOME:-${HOME}/.local/share}
XDG_STATE_HOME=${XDG_STATE_HOME:-${HOME}/.local/state}
XDG_RUNTIME_DIR=${XDG_RUNTIME_DIR:-/run/user/${UID}}

export XDG_CONFIG_HOME \
  XDG_CACHE_HOME \
  XDG_DATA_HOME \
  XDG_STATE_HOME \
  XDG_RUNTIME_DIR
